## ros-galactic-tf2-ros 0.17.5

=== debian/changelog ===
ros-galactic-tf2-ros (0.17.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-tf2-ros (0.17.4-1focal) focal; urgency=high

  * [tf2_ros/tf2_monitor] Calculate hz for each tf (#526 <https://github.com/ros2/geometry2/issues/526>)
  * Contributors: kminoda

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-tf2-ros (0.17.3-1focal) focal; urgency=high

  * Fix tf2_echo does not work with ros-args (#407 <https://github.com/ros2/geometry2/issues/407>) (#408 <https://github.com/ros2/geometry2/issues/408>) (#410 <https://github.com/ros2/geometry2/issues/410>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-tf2-ros (0.17.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-tf2-ros (0.17.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-tf2-ros (0.17.0-1focal) focal; urgency=high

  * Guard against access to null node pointer (#393 <https://github.com/ros2/geometry2/issues/393>)
  * Allow to reconfigure durability for /tf topic broadcaster/listener (#383 <https://github.com/ros2/geometry2/issues/383>)
  * Fix the rcl type used in the time jump. (#391 <https://github.com/ros2/geometry2/issues/391>)
  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * fix accessing freed resources (#386 <https://github.com/ros2/geometry2/issues/386>)
  * Allow reconfiguring qos of tf and tf_static topics through parameters (#381 <https://github.com/ros2/geometry2/issues/381>)
  * Replace ROS_* logging macros and use RCLCPP_* instead (#380 <https://github.com/ros2/geometry2/issues/380>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Santiago Paunovic, Jacob Perron, Kazunari Tanaka

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-tf2-ros (0.16.0-1focal) focal; urgency=high

  * Improve message filters error messages (#364 <https://github.com/ros2/geometry2/issues/364>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-tf2-ros (0.15.1-1focal) focal; urgency=high

  * Clarify the role of child_frame_id and header.frame_id in the documentation. (#345 <https://github.com/ros2/geometry2/issues/345>)
  * Contributors: Vikas Dhiman

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-tf2-ros (0.15.0-1focal) focal; urgency=high

  * Remove usage of deprecated rclcpp::Duration constructor (#340 <https://github.com/ros2/geometry2/issues/340>)
  * Remove messages_count member from tf2_ros::MessageFilter. (#335 <https://github.com/ros2/geometry2/issues/335>)
  * Style fixup in tf2_ros. (#325 <https://github.com/ros2/geometry2/issues/325>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-tf2-ros (0.14.1-1focal) focal; urgency=high

  * Update goal response callback signature (#323 <https://github.com/ros2/geometry2/issues/323>)
  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-tf2-ros (0.14.0-1focal) focal; urgency=high

  * Fixed memory leak in Buffer::waitForTransform (#281 <https://github.com/ros2/geometry2/issues/281>)
  * fix time-reset test with Connext (#306 <https://github.com/ros2/geometry2/issues/306>)
  * reenable FrameGraph server (#198 <https://github.com/ros2/geometry2/issues/198>)
  * Use the usual style of parameters for static_transform_program (#300 <https://github.com/ros2/geometry2/issues/300>)
  * Make static_transform_broadcaster consistent with its command line description (#294 <https://github.com/ros2/geometry2/issues/294>)
  * Avoid using invalid std::list iterators (#293 <https://github.com/ros2/geometry2/issues/293>)
  * Generate callbacks after updating message_ (#274 <https://github.com/ros2/geometry2/issues/274>)
  * Moved unique_lock of messages_mutex_ to guarantee pointer (#279 <https://github.com/ros2/geometry2/issues/279>)
  * Fix dependencies in tf2_ros. (#269 <https://github.com/ros2/geometry2/issues/269>)
  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Hunter L. Allen, Martin Ganeff, Michael Carroll, ymd-stella

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-galactic-tf2-ros (0.13.4-1focal) focal; urgency=high

  * export targets in addition to include directories / libraries (#271 <https://github.com/ros2/geometry2/issues/271>)
  * Add missing virtual destructors (#272 <https://github.com/ros2/geometry2/issues/272>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-tf2-ros (0.13.3-1focal) focal; urgency=high

  * Fixed in Exception constructor tf2_ros (#267 <https://github.com/ros2/geometry2/issues/267>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-tf2-ros (0.13.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-tf2-ros (0.13.1-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000


