=== debian/control ===
Source: ros-galactic-tf2-ros
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-builtin-interfaces, ros-galactic-geometry-msgs, ros-galactic-message-filters, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-components, ros-galactic-tf2, ros-galactic-tf2-msgs, ros-galactic-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-galactic-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-builtin-interfaces, ros-galactic-geometry-msgs, ros-galactic-message-filters, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-components, ros-galactic-tf2, ros-galactic-tf2-msgs, ros-galactic-ros-workspace
Description: This package contains the C++ ROS bindings for the tf2 library
